package com.yyrh.constant;

public class RoleInfo {
    private String roleId;
    private String roleName;
    private String roleLevel;
    private String gender;
    private String serverId;
    private String serverName;
    private String hasGold;
    private String vipLevel;
    private String rolePower;
    private String partyId;

    public String getAllParam() {
        return "roleId:" + getRoleId() + "--roleName:" + getRoleName() + "--roleLevel:" + getRoleLevel()
                + "--gender:" + getGender() + "--serverId:" + getServerId() + "--serverName:" + getServerName()
                + "--hasGold:" + getHasGold() + "--vipLevel:" + getVipLevel() + "--rolePower:" + getRolePower()
                + "--partyId:" + getPartyId() + "--partyName:" + getPartyName() + "--roleCreateTime:" + getRoleCreateTime()
                + "--reincarnationCount:" + getReincarnationCount() + "----charge:" + getCharge() +
                "----profession:" + getProfession() + "----roleExt:" + getRoleExt();
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleLevel() {
        return roleLevel;
    }

    public void setRoleLevel(String roleLevel) {
        this.roleLevel = roleLevel;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getHasGold() {
        return hasGold;
    }

    public void setHasGold(String hasGold) {
        this.hasGold = hasGold;
    }

    public String getVipLevel() {
        return vipLevel;
    }

    public void setVipLevel(String vipLevel) {
        this.vipLevel = vipLevel;
    }

    public String getRolePower() {
        return rolePower;
    }

    public void setRolePower(String rolePower) {
        this.rolePower = rolePower;
    }

    public String getPartyId() {
        return partyId;
    }

    public void setPartyId(String partyId) {
        this.partyId = partyId;
    }

    public String getPartyName() {
        return partyName;
    }

    public void setPartyName(String partyName) {
        this.partyName = partyName;
    }

    public String getRoleCreateTime() {
        return roleCreateTime;
    }

    public void setRoleCreateTime(String roleCreateTime) {
        this.roleCreateTime = roleCreateTime;
    }

    public String getReincarnationCount() {
        return reincarnationCount;
    }

    public void setReincarnationCount(String reincarnationCount) {
        this.reincarnationCount = reincarnationCount;
    }

    private String partyName;
    private String roleCreateTime;
    private String reincarnationCount;

    private String charge;

    private String profession;

    private String roleExt;

    public String getCharge() {
        return charge;
    }

    public void setCharge(String charge) {
        this.charge = charge;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession;
    }


    public String getRoleExt() {
        return roleExt;
    }

    public void setRoleExt(String roleExt) {
        this.roleExt = roleExt;
    }
}
